Get operation
curl --request GET \
--url https://app.jolts.xyz/api/usages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.jolts.xyz/api/usages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.jolts.xyz/api/usages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.jolts.xyz/api/usages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.jolts.xyz/api/usages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.jolts.xyz/api/usages/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.jolts.xyz/api/usages/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"as_of": "2026-09-25T02:47:07.454303Z",
"ranking": "query_relevance_baseline",
"coverage": {
"limitations": [
"limited_source_coverage",
"relevance_not_validated"
],
"stop_reason": "sources_exhausted",
"returned_companies": 2,
"requested_companies": 10,
"target_companies": 10,
"available_companies": 2
},
"retrieval": "lexical",
"next_cursor": null,
"delivery_unit": "company",
"candidate_limit": 100,
"coverage_status": "partial",
"usage": {
"id": 981239949,
"status": "delivered",
"request_key": "company",
"request_units": 1,
"delivered_units": 2,
"fresh_evidence_units": 0
},
"request_allowance": {
"window_seconds": 10800,
"window_remaining": 198,
"weekly_remaining": 998
},
"companies": [
{
"id": 23,
"name": "Sequoia Freight",
"domains": [
{
"id": 23,
"hostname": "sequoia.example.test"
}
],
"limitations": [
"limited_source_coverage"
],
"demand_class": "explicit_request",
"why_it_may_matter": "A stated buying action may relate to \"charging\"; verify requirements and timing against the cited evidence.",
"match": {
"query": "charging",
"observation_ids": [
23
]
},
"observations": [
{
"id": 23,
"kind": "procurement_request",
"observed_fact": "Issued a request for fleet charging equipment at a new depot.",
"why_it_may_matter": "This observed company activity may be relevant to the search objective; verify fit against the evidence.",
"demand_class": "explicit_request",
"country": "US",
"confidence": 1,
"occurred_at": "2026-09-18T00:00:00Z",
"observed_at": "2026-09-25T02:47:06Z",
"expires_at": null,
"evidence": [
{
"source_uri": "https://sequoia.example.test/tenders/fleet-charging",
"excerpt": "Issued a request for fleet charging equipment at a new depot.",
"occurred_at": "2026-09-18T00:00:00Z",
"observed_at": "2026-09-25T02:47:06Z"
}
]
}
]
},
{
"id": 22,
"name": "Northstar Transit",
"domains": [
{
"id": 22,
"hostname": "northstar.example.test"
}
],
"limitations": [
"limited_source_coverage"
],
"demand_class": "explicit_request",
"why_it_may_matter": "A stated buying action may relate to \"charging\"; verify requirements and timing against the cited evidence.",
"match": {
"query": "charging",
"observation_ids": [
22
]
},
"observations": [
{
"id": 22,
"kind": "procurement_request",
"observed_fact": "Issued a request for depot charging equipment.",
"why_it_may_matter": "This observed company activity may be relevant to the search objective; verify fit against the evidence.",
"demand_class": "explicit_request",
"country": "CA",
"confidence": 1,
"occurred_at": "2026-09-04T00:00:00Z",
"observed_at": "2026-09-25T02:47:06Z",
"expires_at": null,
"evidence": [
{
"source_uri": "https://northstar.example.test/tenders/depot-charging",
"excerpt": "Issued a request for depot charging equipment.",
"occurred_at": "2026-09-04T00:00:00Z",
"observed_at": "2026-09-25T02:47:06Z"
}
]
}
]
}
],
"withheld_units": 0
}{
"usage": {
"id": 981239949,
"status": "pending",
"request_key": "company",
"request_units": 0,
"delivered_units": 0,
"fresh_evidence_units": 0
},
"request_allowance": {
"window_seconds": 10800,
"window_remaining": 198,
"weekly_remaining": 998
}
}{
"error": {
"code": "invalid_api_key",
"message": "Provide a valid API credential."
}
}{
"error": {
"code": "subscription_required",
"message": "An active or trialing subscription is required."
}
}{
"error": {
"code": "usage_not_found",
"message": "No usage has that ID."
}
}{
"error": {
"code": "usage_expired",
"message": "The request expired. Submit a new request key."
}
}{
"error": {
"code": "request_limit_reached",
"message": "The subscription request limit has been reached.",
"retry_at": "2026-09-25T05:00:00Z",
"retry_after_seconds": 60
}
}Operations
Get operation
Account-scoped, unmetered polling or replay. Rechecks current evidence and subscription. No new external work.
Examples use fictional test data and illustrative IDs, dates, and allowances. They are not live prospects or current account balances.
GET
/
api
/
usages
/
{id}
Get operation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x >= 1Response
Completed company, observation or MCP diagnostic operation.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"partial"Available options:
lexical, hybrid Required range:
x >= 0Available options:
company, observation Show child attributes
Show child attributes
Allowed value:
"query_relevance_baseline"Candidate scan cap before relevance filtering: max(100, 2 * target), or 100 when target is omitted. The accepted list is capped separately by target. Not a total-market count.
Required range:
100 <= x <= 2000Show child attributes
Show child attributes